package com.boman.domain.dto;


import lombok.Data;

import java.util.List;

/**
 * @author shiqian
 * @date 2021年07月06日 13:32
 **/
@Data
public class PrimaryTableDto {

    /** 主表表名 **/
    private String primaryTableName;

    /** 主表数据id **/
    private Long itemId;

    /** 子表的集合 **/
    private List<DeputyTableDto> deputyTableList;

    @Data
    public static class DeputyTableDto {

       /** 副表表名 **/
       private String deputyTableName;
       /** 副表与子表关联的字段名称 **/
       private String fkName;
       /** 子表的集合 **/
       private List<DeputyTableDto> deputyTableList;
   }


}
