package com.boman.domain.constant;

/**
 * @author shiqian
 * @date 2021年04月01日 13:56
 **/
public class SubmitConstant {

    /**
     * 提交人
     */
    public static final String SUBMIT_USERID = "submit_userid";

    /**
     * 提交时间
     */
    public static final  String SUBMIT_TIME = "submit_time";

    /**
     * 提交备注
     */
    public static final  String REMARK = "remark";

    /**
     * 未提交
     */
    public static final String NOT_SUBMIT = "1";

    /**
     * 已经提交了
     */
    public static final String SUBMITTED = "2";

    /**
     * 驳回
     */
    public static final String REJECT = "3";

    /**
     * 审核中
     */
    public static final String CHECKING = "4";

    /**
     * 批量提交的时候，状态符合标识
     */
    public static final String SUBMIT_RESULT = "submitResult";

    /**
     * 批量提交的时候，状态符合标识，且成功
     */
    public static final String SUCCESS = "SUCCESS";

    /**
     * 批量提交的时候，状态符合, 但是不知道什么原因失败了
     */
    public static final String FAIL = "FAIL";

    /**
     * 批量提交的时候，状态压根就不符合
     */
    public static final String NOT_ALLOWED = "NOT_ALLOWED";

    /**
     * STATUS
     */
    public static final String STATUS = "status";

    /**
     * READ_ONLY
     */
    public static final boolean READONLY = true;
}
